Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Easycam2 won't install (webcam problems)

  1. #1
    Join Date
    Jan 2010
    Beans
    10
    Distro
    Ubuntu 9.10 Karmic Koala

    Easycam2 won't install (webcam problems)

    Dear ubuntuforums users,
    You guyz have helped me in so many ways, and I seriously thought that there was a solution for every problem on this formu, but allas I have a new one...
    So the problem goes that I have a webcam (Trust 16430 [Chat Webcam]) that just doesn't seem to work.
    Now according to multple guides I simply have to install easycam2 to find the drivers and install the cam.
    There lies another problem, easycam2 is giving me a hard time... it just won't install.
    Now here is what I do in the terminal:

    vincent@vincent-desktop:~$ sudo apt-get install easycam2-gtk
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    easycam2-gtk: Depends: python2.4-glade2 but it is not installable
    Depends: python2.4-gtk2 but it is not installable
    Depends: easycam2-core but it is not going to be installed
    E: Broken packages

    so then I try:

    vincent@vincent-desktop:~$ sudo apt-get install easycam2-core
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    easycam2-core: Depends: python-xml but it is not installable
    E: Broken packages

    Not giving up with :

    vincent@vincent-desktop:~$ sudo apt-get install python-xml
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Package python-xml is not available, but is referred to by another package.
    This may mean that the package is missing, has been obsoleted, or
    is only available from another source
    E: Package python-xml has no installation candidate

    And then I am stuck.
    so quick rehab on what I have
    Ubuntu 9.10 32bit
    Trust webcam16430

    Maybe someone has a different way of getting the driver or installing easycam2?
    Awaiting your loving help
    Vincent

  2. #2
    Join Date
    Jan 2010
    Beans
    10
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: Easycam2 won't install (webcam problems)

    Anyone? please?

  3. #3
    Join Date
    Oct 2008
    Beans
    5

    Re: Easycam2 won't install (webcam problems)

    Is it really necessary to use easycam? The ubuntu generic driver works well with many webcams, try installing cheese.
    (sudo apt-get install cheese) and see if the cam works.
    You might (or might not) need to execute
    LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so cheese &

  4. #4
    Join Date
    Jan 2010
    Beans
    10
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: Easycam2 won't install (webcam problems)

    Quote Originally Posted by ubt_user_0331 View Post
    Is it really necessary to use easycam? The ubuntu generic driver works well with many webcams, try installing cheese.
    (sudo apt-get install cheese) and see if the cam works.
    You might (or might not) need to execute
    LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so cheese &
    Hey thanks for the reply,
    unfortunately the generic driver doesn't seem to support my webcam.
    I have downloaded cheese before with little result, I see a loading screen, my webcams lights up but after a few seconds turns off again and I get a tv like screen.
    Canorama gets stuck when trying to load my webcam and so does Amsn, skype doesn't seem to manage it either... and other ideas?
    thnkx

  5. #5
    Join Date
    Sep 2009
    Beans
    2,330

    Re: Easycam2 won't install (webcam problems)

    open a terminal type ( gstreamer-properties ) click enter
    click video try v4l1 or v4l2
    click the bottom test button for each
    if it comes on try cheese

  6. #6
    Join Date
    Jan 2010
    Beans
    10
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: Easycam2 won't install (webcam problems)

    Quote Originally Posted by no2498 View Post
    open a terminal type ( gstreamer-properties ) click enter
    click video try v4l1 or v4l2
    click the bottom test button for each
    if it comes on try cheese
    Thank you for responding, but you help came to no avail,
    I have however found some extra info which might help you guyz help me decode and resolve the problem:

    this is what I get for the webcam when typing in the terminal lsusb

    Bus 002 Device 003: ID 0c45:613e Microdia PC Camera (SN9C120)

    now if that helps anyone... PLEEAAASE respond =D
    Many thanks in advance

  7. #7
    Join Date
    Oct 2008
    Beans
    5

    Re: Easycam2 won't install (webcam problems)

    I saw that your camera is Microdia and found this
    http://groups.google.com/group/micro...a-driver-draft
    Maybe this driver will help?
    I do not have a similar camera so cannot test the installation instructions though

  8. #8
    Join Date
    May 2009
    Beans
    5

    Angry Re: Easycam2 won't install (webcam problems)

    Quote Originally Posted by no2498 View Post
    open a terminal type ( gstreamer-properties ) click enter
    click video try v4l1 or v4l2
    click the bottom test button for each
    if it comes on try cheese
    When i open gstreamer properties, the second option on video (when i click on test) shows the camera ok. If i open cheese using the line LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so cheese & as advised above, i can see the camera ok...but in other applications i can't get it to work, and they're really the whole reason i got the camera in the first place! Please HELP!!

  9. #9
    Join Date
    Sep 2009
    Beans
    2,330

    Re: Easycam2 won't install (webcam problems)

    you need to do the preload for every program

    LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so you type program name here

  10. #10
    Join Date
    Jan 2010
    Beans
    10
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: Easycam2 won't install (webcam problems)

    Okay so I have decided to buy a linux ready camera...
    better than my old one,
    So I regard this topic as closed
    but thank you EVERYONE
    who tried to help me,

    you guyz are awesom

Page 1 of 2 12 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •